/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Area
 * Description: -
 */


void			area_clean_up(void);

AREA *			area_new(void);
void			area_destroy(void);

void			set_active_area(AREA *);
AREA *			active_area(void);

LIST *			area_terrain_list(void);
LIST *			area_object_list(void);
LIST *			area_character_list(void);

LIST *			area_event_list(void);

N_CHARACTERS		area_n_characters(void);

bool			area_points_equal(const AREA_POINT *, const AREA_POINT *);

void			move_area_point(AREA_POINT *, DIRECTION);

AREA_DISTANCE		area_distance(const AREA_POINT *, const AREA_POINT *);

const AREA_SECTION *	area_bounds(void);

bool			out_of_area_bounds(const AREA_POINT *);

const AREA_POINT *	area_point_nil(void);

void			place_terrain(TERRAIN *, const AREA_POINT *);
void			remove_terrain(TERRAIN *, LIST *);

void			place_object(OBJECT *, const AREA_POINT *);
void			remove_object(OBJECT *, LIST *);

void			place_character(CHARACTER *, const AREA_POINT *);
void			remove_character(CHARACTER *, LIST *);

SECTOR *		sector_at(const AREA_POINT *);
TERRAIN *		terrain_at(const AREA_POINT *);
OBJECT *		object_at(const AREA_POINT *);
CHARACTER *		character_at(const AREA_POINT *);



