/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Career
 * Description: -
 */

void		career_init(void);
void		career_clean_up(void);

CAREER *	career_box_new_career(void);
void		career_box_optimize(void);

void		career_set(CHARACTER *, CAREER_INDEX);

CAREER *	get_career_pointer(CAREER_INDEX);

N_CAREERS	get_n_careers(void);

bool		career_completed(const CHARACTER *);

void		career_screen(const CAREER *);

char *		career_description(char *, const CAREER *);

void		career_give_trappings(CHARACTER *);

const char *	career_type_name(CAREER_TYPE);

CAREER_INDEX	name_to_career_index(const char *);
CAREER_TYPE	name_to_career_type(const char *);



#if defined(DEBUG)

void		career_box_validate(void);

#endif

