/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Stats
 * Description: -
 */


/*
 * character stats
 */
typedef enum {

	S_NIL = -1,

	S_MV,
	S_CC,
	S_RC,
	S_ST,
	S_TN,
	S_IN,
	S_LD,
	S_SG,
	S_FR,
	
	S_OUT_OF_BOUNDS

} STAT;


void			stat_advance(CHARACTER *, STAT);

int			stat_bonus(const CHARACTER *, STAT);

void			stat_modifiers_apply(CHARACTER *, STAT_MODIFIER *);
void			stat_modifiers_revert(CHARACTER *, const STAT_MODIFIER *, STAT_MODIFIER);

const char *		stat_short_name(STAT);
const char *		stat_long_name(STAT);

bool			is_short_stat_name(const char *);

STAT			name_to_stat(const char *, bool);

