/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: DataFile
 * Description: -
 */



#define MAX_PROGRAM_DIRECTORIES		9



/*
 * program directories
 */
typedef enum {

	DIR_NIL = -1,
	
	DIR_USER_DATA,
	DIR_DATA,
	DIR_CONFIG,
	DIR_GRAPHICS,
	DIR_TERRAIN,
	DIR_OBJECTS,
	DIR_CHARACTERS,
	DIR_TEXT,
	DIR_WORLD,
	
	DIR_OUT_OF_BOUNDS

} PROGRAM_DIRECTORY;




void		set_data_path(PROGRAM_DIRECTORY, const char *);
const char *	data_path(void);

void		load_data_files(void);

char *		data_file_object_description(char *, const OBJECT *);
char *		data_file_terrain_description(char *, const TERRAIN *);
char *		data_file_career_description(char *, const CAREER *);
char *		data_file_perk_description(char *, PERK);
char *		data_file_character_description(char *, const CHARACTER *);



/*
 * platform specific / see be_x.c
 */
char *		get_file_path(char *, PROGRAM_DIRECTORY, const char *);


