/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Death
 * Description: Death and destruction
 */


/*
 * death types
 */
typedef enum {
	
	DT_NIL = -1,

	DT_ATTACK,
	DT_FALL,
	DT_WEAPON_EXPLOSION,
	DT_POISON,
	
	DT_OUT_OF_BOUNDS

} DEATH_TYPE;


void		handle_destruction(const AREA_POINT *, CHARACTER *, 
			DEATH_TYPE
		);

bool		character_killed(const CHARACTER *);

bool		object_destroyed(const OBJECT *);

void		splatter_blood(SECTOR *);

void		remove_splatter(void);

const char *	gore_level_name(GORE_LEVEL);

