/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Dice
 * Description: -
 */

#define Uses_Util
#include "mheader.h"

#include "dice.h"



/*
 * rolls dice and returns the result
 */
int dice(int n_dice, int n_sides)
{
	int i;
	int result;

	result = 0;

	for (i = 0; i < n_dice; i++) {

		result += random_int(1, n_sides);
	}

	return result;
}



/*
 * returns the average result of a dice roll
 */
int dice_roll_average(const DICE_ROLL *dice_roll)
{
	int result;

	result = dice_roll->n_sides / 2;
	result *= dice_roll->n_dice;
	result += dice_roll->modifier;

	return result;
}



/*
 * D100 test
 */
int d100_test(int dice_roll, int test_value)
{
	int result;

	if (test_value < 0) {

		test_value = 0;
	}

	result = test_value - dice_roll;

	if (dice_roll <= D100_AUTOMATIC_SUCCESS) {

		if (result >= 0) {

			return result;
		}

		return 0;

	} else if (dice_roll >= D100_AUTOMATIC_FAILURE) {

		if (result < 0) {

			return result;
		}

		return -1;
        }

	return result;
}



/*
 * D100 test against the given test value
 * returns true if passed
 */
bool d100_test_passed(int test_value)
{
	int dice_roll;

	dice_roll = d100();

	if (d100_test(dice_roll, test_value) >= 0) {

		return true;
	}

	return false;
}



