/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Dungeon
 * Description: -
 */

/*
 * Hive world
 */
 
#define Uses_Area
#define Uses_Terrain
#define Uses_Util
#include "mheader.h"

#include "dungeon.h"
#include "d_hwrld.h"



#define DUNE_FREQUENCY_MIN		1
#define DUNE_FREQUENCY_MAX		100
#define DUNE_FREQUENCY			100




/*
 * fills all empty sectors with ash wastes
 */
void empty_to_ash_wastes(void)
{
	AREA_POINT p;
	const AREA_SECTION *bounds;
	
	bounds = area_bounds();

	for (p.y = bounds->top; p.y <= bounds->bottom; p.y++) {
	for (p.x = bounds->left; p.x <= bounds->right; p.x++) {
		TERRAIN *terrain;

		if (sector_at(&p)->terrain != NULL) {
			
			continue;
		}

		if (random_int(DUNE_FREQUENCY_MIN, DUNE_FREQUENCY_MAX) ==
			DUNE_FREQUENCY) {

			terrain = terrain_create("Ash dune");
				
		} else {
			
			terrain = terrain_create("Ash wastes");
		}

		place_terrain(terrain, &p);
	}
	}
}



/*
 * fills all empty sectors with smog
 */
void empty_to_smog(void)
{
	AREA_POINT p;
	const AREA_SECTION *bounds;
	
	bounds = area_bounds();

	for (p.y = bounds->top; p.y <= bounds->bottom; p.y++) {
	for (p.x = bounds->left; p.x <= bounds->right; p.x++) {
		TERRAIN *terrain;

		if (sector_at(&p)->terrain != NULL) {
			
			continue;
		}

		terrain = terrain_create("Smog");
		
		place_terrain(terrain, &p);
	}
	}
}

