/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Dungeon
 * Description: -
 */



#define MAX_DUNGEON_TYPES	3

#define respawn_npcs()		spawn_npcs()



typedef int	DUNGEON_LEVEL;

typedef int	N_DUNGEON_LEVELS;


/*
 * dungeon types
 */
typedef enum {

	DGT_NIL = -1,
	
	DGT_HIVE_CITY,
	DGT_CAVE,
	DGT_NOT_IMPLEMENTED,

	DGT_OUT_OF_BOUNDS

} DUNGEON_TYPE;


/*
 * dungeon
 */
typedef struct {
	
	char			name[AREA_NAME_SIZE];
	
	DUNGEON_TYPE		type;
	
	N_DUNGEON_LEVELS	n_levels;

	WORLD_COORD		base_level_z;
	
	N_CHARACTERS		n_npcs_per_level;

	LIST **			spawn_list;

	WORLD_POINT		location;

} DUNGEON;


void		dungeon_init(void);
void		dungeon_clean_up(void);

void		dungeon_generation(void);

DUNGEON *	dungeon_box_new_dungeon(void);
void		dungeon_box_optimize(void);

DUNGEON *	dungeon_current(void);

void		spawn_npcs(void);

void		spawn_list_add(DUNGEON *, DUNGEON_LEVEL, const char *);

DUNGEON_TYPE	name_to_dungeon_type(const char *);


