/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Event
 * Description: This module is responsible for handling delayed events.
 */




EVENT *		event_create(EVENT_TYPE, PHASE_TIME);
void		event_destroy(void *);

void		event_set(EVENT *);

void		handle_events(void);

void		event_execute(EVENT *);

EVENT *		remove_character_event(const CHARACTER *, EVENT_TYPE);
void		remove_character_events(const CHARACTER *, LIST *);

void		remove_object_events(const OBJECT *, LIST *);

void		remove_terrain_events(const TERRAIN *, LIST *);

EVENT *		effect_termination_event(CHARACTER *, EFFECT);

