/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 *
 * MAIN HEADER
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <limits.h>
#include <string.h>

#include "llist.h"
#include "box.h"

#include "limit.h"
#include "types.h"


/* this macro is used to suppress some pointless compiler warnings */
#ifdef __LCC__
#	define NOT_USED(p)		((p) = (p))
#else
#	define NOT_USED(p)		((void)(p))
#endif


#define MODULE_IMPORT


#ifdef Uses_Ui
#	include "ui.h"
#endif


#ifdef Uses_Area
#	include "area.h"
#endif


#ifdef Uses_AreaTransition
#	include "areatran.h"
#endif


#ifdef Uses_Character
#	include "charact.h"
#endif


#ifdef Uses_Npc
#	include "npc.h"
#endif


#ifdef Uses_Stats
#	include "charstat.h"
#endif


#ifdef Uses_Effect
#	include "effect.h"
#endif


#ifdef Uses_Career
#	include "career.h"
#endif


#ifdef Uses_Inventory
#	include "inv.h"
#endif


#ifdef Uses_Round
#	include "round.h"
#endif


#ifdef Uses_Combat
#	include "combat.h"
#	include "combat_c.h"
#	include "combat_r.h"
#endif


#ifdef Uses_Command
#	include "cmd.h"
#endif


#ifdef Uses_CharacterAdvancement
#	include "charadv.h"
#endif


#ifdef Uses_LoadSave
#	include "loadsave.h"
#endif


#ifdef Uses_Game
#	include "game.h"
#endif


#ifdef Uses_Ai
#	include "ai.h"
#endif


#ifdef Uses_Macro
#	include "macro.h"
#endif


#ifdef Uses_World
#	include "world.h"
#endif


#ifdef Uses_Dungeon
#	include "dungeon.h"
#endif


#ifdef Uses_ProgramManager
#	include "prgman.h"
#endif


#ifdef Uses_Movement
#	include "movement.h"
#endif


#ifdef Uses_Event
#	include "event.h"
#endif


#ifdef Uses_DynamicMessage
#	include "dyn_msg.h"
#endif


#ifdef Uses_Psychic
#	include "psychic.h"
#endif


#ifdef Uses_Talk
#	include "talk.h"
#endif


#ifdef Uses_Economy
#	include "economy.h"
#endif


#ifdef Uses_Perks
#	include "perks.h"
#endif


#ifdef Uses_Faction
#	include "faction.h"
#endif


#ifdef Uses_Death
#	include "death.h"
#endif


#ifdef Uses_CharacterGeneration
#	include "chargen.h"
#endif


#ifdef Uses_Dice
#	include "dice.h"
#endif


#ifdef Uses_Util
#	include "util.h"
#endif


#ifdef Uses_Grammar
#	include "grammar.h"
#endif


#ifdef Uses_Targeter
#	include "target.h"
#endif


#ifdef Uses_Pathfinder
#	include "pathfind.h"
#endif


#ifdef Uses_Party
#	include "party.h"
#endif


#ifdef Uses_Perception
#	include "percept.h"
#endif


#ifdef Uses_Object
#	include "object.h"
#endif


#ifdef Uses_Equipment
#	include "equip.h"
#endif


#ifdef Uses_Actions
#	include "actions.h"
#endif


#ifdef Uses_Terrain
#	include "terrain.h"
#endif


#ifdef Uses_Sector
#	include "sector.h"
#endif


#ifdef Uses_Log
#	include "log.h"
#endif


#ifdef Uses_Options
#	include "options.h"
#endif


#ifdef Uses_DataFile
#	include "datafile.h"
#endif


#ifdef Uses_Drugs
#	include "drugs.h"
#endif


#ifdef Uses_Debug
#	include "debug.h"
#endif


#ifdef Uses_Help
#	include "help.h"
#endif


#ifdef Uses_RandomName
#	include "randname.h"
#endif


#ifdef Uses_Honour
#	include "honour.h"
#endif


#undef MODULE_IMPORT



