/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Npc
 * Description: -
 */




/*
 * NPC counter type
 */
typedef struct {

	N_CHARACTERS	n_created;
	
	N_CHARACTERS	n_killed;
	
} NPC_COUNTER;




void			npc_init(void);
void			npc_clean_up(void);

CHARACTER *		npc_box_new_npc(void);
void			npc_box_optimize(void);
N_CHARACTERS		npc_box_size(void);

void			npc_counter_init(void);
NPC_COUNTER *		npc_counter(NPC_INDEX);

CHARACTER *		npc_create(const char *);
CHARACTER *		npc_create_i(NPC_INDEX);

bool			npc_is_unique(NPC_INDEX);

const char *		npc_index_to_name(NPC_INDEX);
NPC_INDEX		name_to_npc_index(const char *);


