/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Options
 * Description: -
 */

#include "mheader.h"

#include "options.h"


#define MAX_OPTIONS			3



/*
 * options
 */
static OPTION_VALUE	Option[MAX_OPTIONS];




/*
 * sets the value of the passed option
 */
void option_set_value(OPTION option, OPTION_VALUE value)
{

	Option[option] = value;
}



/*
 * returns the value of the passed option
 */
OPTION_VALUE option_get_value(OPTION option)
{

	return Option[option];
}



/*
 * returns true if the passed option is enabled
 */
bool option_enabled(OPTION option)
{

	if (Option[option] != 0) {

		return true;
	}

	return false;
}


