/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Party
 * Description: -
 */

#define MAX_PARTY_SIZE		3


typedef int			PARTY_SIZE;



void		party_init(void);
void		party_clean_up(void);

LIST *		party_player(void);

void		party_join(CHARACTER *);

void		party_leave(CHARACTER *);

PARTY_SIZE	party_n_members(void);

void		party_set_tactic(AI_TACTIC);

POWER_RATING	party_power_rating(void);

bool		party_has_battle_tactics(void);
bool		party_has_leader(void);

void		switch_character(CHARACTER_TYPE);

MONEY		recruiting_cost(const CHARACTER *);


