/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: RandomName
 * Description: -
 */

#define Uses_DataFile
#define Uses_Util
#define Uses_ProgramManager
#include "mheader.h"

#include "randname.h"

#include "shake.h"



/*
 * names files
 */
#define FILE_NAMES_HUMAN_MALE		"human_m.nam"
#define FILE_NAMES_HUMAN_FEMALE		"human_f.nam"



/*
 * module init
 */
void random_name_init(void)
{

	shake_set_rng(random_int);

	set_data_path(DIR_CHARACTERS, FILE_NAMES_HUMAN_MALE);	
	shake_load_set(NAME_SET_HUMAN_MALE, data_path());

	shake_no_duplicates(NAME_SET_HUMAN_MALE, true);
	
	set_data_path(DIR_CHARACTERS, FILE_NAMES_HUMAN_FEMALE);	
	shake_load_set(NAME_SET_HUMAN_FEMALE, data_path());

	shake_no_duplicates(NAME_SET_HUMAN_FEMALE, true);
}



/*
 * module clean up
 */
void random_name_clean_up(void)
{

	shake_unload_set(NAME_SET_HUMAN_MALE);

	shake_unload_set(NAME_SET_HUMAN_FEMALE);
}



/*
 * returns a random character name 
 */
const char * random_name(NAME_SET name_set)
{
	const char *name;
	
	name = shake_get_string(name_set);
	
	if (name == NULL) {

		shake_no_duplicates(name_set, false);

		name = shake_get_string(name_set);
		
		if (name == NULL) {

			die("*** CORE ERROR *** name set %d empty",
				name_set
			);
		}
	}
	
	return name;
}


