/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Commands
 */


#define MAX_COMMANDS			68



KEY_CODE	command_key(COMMAND);
void		set_command_key(COMMAND, KEY_CODE);

bool		is_move_command(COMMAND);
bool		is_macro_command(COMMAND);

bool		move_command_to_direction(DIRECTION *, COMMAND);

COMMAND		name_to_command(const char *);
const char *	command_name(COMMAND);

bool		show_on_help_screen(COMMAND);


void		render_choose_psy_discipline_screen(bool);
void		render_choose_psy_power_screen(const CHARACTER *, PSY_DISCIPLINE, bool);

void		render_choose_tactical_command_screen(bool);

void		render_pick_target_screen(const char *);
void		render_advanced_target_mode_screen(const CHARACTER *, AREA_POINT *, TARGET_MODE);

#if defined(FOR_THE_BLIND)
void		render_sonar_screen(const char *);
#endif

void		render_look_screen(AREA_POINT *);

void		render_choose_firing_mode_screen(void);

void		render_number_of_shots_screen(const CHARACTER *);
void		render_spread_factor_screen(void);

void		render_choose_perk_screen(const CHARACTER *, bool);

void		render_use_elevator_screen(void);
void		use_elevator_dialog(GET_TEXT_DIALOG *);

void		render_help_screen(void);

void		render_game_controls_screen(void);
COMMAND		game_controls_screen_menu(MENU *);

void		render_macro_setup_screen(COMMAND, MACRO_INDEX);

void		render_inventory_screen(const CHARACTER *, int, bool);

void		attack_confirmation_dialog(CONFIRMATION_DIALOG *);

