/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Keys
 */

/*
 * key codes

 * the indirect key definitions are needed to avoid a namespace conflict with curses
 */
#define WR_KEY_NIL		-1
#define WR_KEY_ESC		27
#define WR_KEY_ENTER		13
#define WR_KEY_BKSP		8
#define WR_KEY_TAB		9
#define WR_KEY_SPACE		32
#define WR_KEY_DELETE		127
#define WR_KEY_UP		273
#define WR_KEY_DOWN		274
#define WR_KEY_RIGHT		275
#define WR_KEY_LEFT		276
#define WR_KEY_F1		282
#define WR_KEY_F2		283
#define WR_KEY_F3		284
#define WR_KEY_F4		285
#define WR_KEY_F5		286
#define WR_KEY_F6		287
#define WR_KEY_F7		288
#define WR_KEY_F8		289
#define WR_KEY_F9		290
#define WR_KEY_F10		291
#define WR_KEY_F11		292
#define WR_KEY_F12		293
#define WR_KEY_PAGE_UP		294
#define WR_KEY_PAGE_DOWN	295

#if !defined(CURSES_USED)
#	define KEY_NIL		WR_KEY_NIL
#	define KEY_ESC		WR_KEY_ESC
#	define KEY_ENTER	WR_KEY_ENTER
#	define KEY_BKSP		WR_KEY_BKSP
#	define KEY_TAB		WR_KEY_TAB
#	define KEY_SPACE	WR_KEY_SPACE
#	define KEY_DELETE	WR_KEY_DELETE
#	define KEY_UP		WR_KEY_UP
#	define KEY_DOWN		WR_KEY_DOWN
#	define KEY_RIGHT	WR_KEY_RIGHT
#	define KEY_LEFT		WR_KEY_LEFT
#	define KEY_F1		WR_KEY_F1
#	define KEY_F2		WR_KEY_F2
#	define KEY_F3		WR_KEY_F3
#	define KEY_F4		WR_KEY_F4
#	define KEY_F5		WR_KEY_F5
#	define KEY_F6		WR_KEY_F6
#	define KEY_F7		WR_KEY_F7
#	define KEY_F8		WR_KEY_F8
#	define KEY_F9		WR_KEY_F9
#	define KEY_F10		WR_KEY_F10
#	define KEY_F11		WR_KEY_F11
#	define KEY_F12		WR_KEY_F12
#	define KEY_PAGE_UP	WR_KEY_PAGE_UP
#	define KEY_PAGE_DOWN	WR_KEY_PAGE_DOWN
#endif



KEY_CODE	name_to_key_code(const char *);

const char *	key_name(KEY_CODE);

