/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: World
 * Description: -
 */

#define WORLD_NAME	"Proelium"

#define WORLD_MAX_Z	15
#define WORLD_MAX_Y	32
#define WORLD_MAX_X	68


/*
 * world map tile
 */
typedef BOX_ITEM_INDEX	MAP_TILE;



/*
 * world map tile data
 */
typedef struct {
	
	char		name[AREA_NAME_SIZE];

	SYMBOL		symbol;
	COLOR		color;

	char		dungeon_file[FILE_NAME_SIZE];

} MAP_TILE_DATA;



void			world_init(void);
void			world_clean_up(void);

MAP_TILE_DATA *		world_tile_box_new_tile(void);
void			world_tile_box_optimize(void);

MAP_TILE *		world_map_tile(const WORLD_POINT *);
MAP_TILE_DATA *		world_map_tile_data(const MAP_TILE *);

bool			world_points_equal(const WORLD_POINT *, 
				const WORLD_POINT *
			);

void			move_world_point(WORLD_POINT *, DIRECTION);

bool			out_of_world_bounds(const WORLD_POINT *);

void			world_map_screen(const CHARACTER *);

MAP_TILE		symbol_to_world_map_tile(SYMBOL symbol);

